<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=windows-1252"/>
	<title></title>
	<meta name="generator" content="LibreOffice 7.3.2.2 (Windows)"/>
	<meta name="created" content="2023-02-12T19:23:07.854000000"/>
	<meta name="changed" content="2023-02-12T20:22:48.068000000"/>
	<style type="text/css">
		@page { margin: 2cm }
		p { line-height: 115%; margin-bottom: 0.25cm; background: transparent }
	</style>
</head>
<body lang="en-GB" dir="ltr"><p style="line-height: 100%; margin-bottom: 0cm">
&lt;!DOCTYPE html&gt;<br/>
&lt;html&gt;<br/>
&lt;head&gt;<br/>
&lt;title&gt;Numerology
Calculator by The Vortex of Happiness&lt;/title&gt;<br/>
&lt;script
src=&quot;https://code.jquery.com/jquery-3.6.0.min.js&quot;&gt;&lt;/script&gt;<br/>
&lt;/head&gt;<br/>
&lt;body&gt;<br/>
<br/>
&lt;h1&gt;Numerology
Calculator&lt;/h1&gt;<br/>
&lt;p&gt;Enter a name to calculate its
numerology number:&lt;/p&gt;<br/>
&lt;input type=&quot;text&quot;
id=&quot;nameInput&quot;&gt;<br/>
&lt;button
id=&quot;calculateButton&quot;&gt;Calculate&lt;/button&gt;<br/>
<br/>
&lt;p
id=&quot;result&quot;&gt;&lt;/p&gt;<br/>
<br/>
&lt;script&gt;<br/>
$(document).ready(function(){<br/>

 $(&quot;#calculateButton&quot;).click(function(){<br/>
    var name
= $(&quot;#nameInput&quot;).val();<br/>
    var numerologyNumber =
0;<br/>
    var numerologyAlphabet = [&quot;A&quot;, &quot;B&quot;,
&quot;C&quot;, &quot;D&quot;, &quot;E&quot;, &quot;F&quot;, &quot;G&quot;,
&quot;H&quot;, &quot;I&quot;, &quot;J&quot;, &quot;K&quot;, &quot;L&quot;,
&quot;M&quot;, &quot;N&quot;, &quot;O&quot;, &quot;P&quot;, &quot;Q&quot;,
&quot;R&quot;, &quot;S&quot;, &quot;T&quot;, &quot;U&quot;, &quot;V&quot;,
&quot;W&quot;, &quot;X&quot;, &quot;Y&quot;, &quot;Z&quot;];<br/>
   
<br/>
    name = name.toUpperCase();<br/>
    <br/>
    for (var i =
0; i &lt; name.length; i++) {<br/>
      var charIndex =
numerologyAlphabet.indexOf(name[i]) + 1;<br/>
      numerologyNumber
+= charIndex;<br/>
    }<br/>
    <br/>
    while (numerologyNumber &gt;
9) {<br/>
      var sum = 0;<br/>
      var numStr =
numerologyNumber.toString();<br/>
      for (var j = 0; j &lt;
numStr.length; j++) {<br/>
        sum +=
parseInt(numStr.charAt(j));<br/>
      }<br/>
      numerologyNumber
= sum;<br/>
    }<br/>
    <br/>
    $(&quot;#result&quot;).html(&quot;Numerology
Number: &quot; + numerologyNumber);<br/>
 
});<br/>
});<br/>
&lt;/script&gt;<br/>
<br/>
&lt;/body&gt;<br/>
&lt;/html&gt;<br/>
<br/>

</p>
</body>
</html>